<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pl">
<head>
<!-- Generated by javadoc (1.8.0_291) on Wed Oct 20 23:02:36 CEST 2021 -->
<title>C-Index</title>
<meta name="date" content="2021-10-20">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/article/ArticleApplicationTests.html#clear--">clear()</a></span> - Method in class com.profacilis.demo.article.<a href="../com/profacilis/demo/article/ArticleApplicationTests.html" title="class in com.profacilis.demo.article">ArticleApplicationTests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/article/ArticleController.html#clear--">clear()</a></span> - Method in class com.profacilis.demo.article.<a href="../com/profacilis/demo/article/ArticleController.html" title="class in com.profacilis.demo.article">ArticleController</a></dt>
<dd>
<div class="block">restores data to initial state (three articles, each 5 items in stock, no reservations)</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/article/ArticleService.html#clear--">clear()</a></span> - Method in class com.profacilis.demo.article.<a href="../com/profacilis/demo/article/ArticleService.html" title="class in com.profacilis.demo.article">ArticleService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/order/OrderController.html#clear--">clear()</a></span> - Method in class com.profacilis.demo.order.<a href="../com/profacilis/demo/order/OrderController.html" title="class in com.profacilis.demo.order">OrderController</a></dt>
<dd>
<div class="block">clears all data in both services (Order, Article)
 purges all orders and reservations and restores articles' stock to the initial state</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/order/OrderService.html#clear--">clear()</a></span> - Method in class com.profacilis.demo.order.<a href="../com/profacilis/demo/order/OrderService.html" title="class in com.profacilis.demo.order">OrderService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/article/Article.html#code">code</a></span> - Variable in class com.profacilis.demo.article.<a href="../com/profacilis/demo/article/Article.html" title="class in com.profacilis.demo.article">Article</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/order/ArticleDTO.html#code">code</a></span> - Variable in class com.profacilis.demo.order.<a href="../com/profacilis/demo/order/ArticleDTO.html" title="class in com.profacilis.demo.order">ArticleDTO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/order/Order.html#code">code</a></span> - Variable in class com.profacilis.demo.order.<a href="../com/profacilis/demo/order/Order.html" title="class in com.profacilis.demo.order">Order</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/profacilis/demo/article/package-summary.html">com.profacilis.demo.article</a> - package com.profacilis.demo.article</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/profacilis/demo/order/package-summary.html">com.profacilis.demo.order</a> - package com.profacilis.demo.order</dt>
<dd>&nbsp;</dd>
<dt><a href="../com/profacilis/demo/order/CORSFilter.html" title="class in com.profacilis.demo.order"><span class="typeNameLink">CORSFilter</span></a> - Class in <a href="../com/profacilis/demo/order/package-summary.html">com.profacilis.demo.order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/order/CORSFilter.html#CORSFilter--">CORSFilter()</a></span> - Constructor for class com.profacilis.demo.order.<a href="../com/profacilis/demo/order/CORSFilter.html" title="class in com.profacilis.demo.order">CORSFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/profacilis/demo/article/ReservationRepository.html#countAllByArticleAndOrderId-com.profacilis.demo.article.Article-java.lang.String-">countAllByArticleAndOrderId(Article, String)</a></span> - Method in interface com.profacilis.demo.article.<a href="../com/profacilis/demo/article/ReservationRepository.html" title="interface in com.profacilis.demo.article">ReservationRepository</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
